Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-sha
Version:        2.0.1
Release:        alt1_7
Summary:        Check and get file hashes
BuildArch:      noarch

License:        BSD or MIT
URL:            https://github.com/ForbesLindesay/sha
Source0:        https://github.com/ForbesLindesay/sha/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(mocha)
BuildRequires:  npm(graceful-fs)
Source44: import.info

%description
Check and get file hashes using MD5, SHA1, or any other algorithm supported by
OpenSSL.

%prep
%setup -q -n sha-%{version}



%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/sha
cp -pr index.js package.json %{buildroot}%{nodejs_sitelib}/sha
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
mocha -R list


%files
%{nodejs_sitelib}/sha
%doc README.md
%doc --no-dereference LICENSE


%changelog
* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1_7
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_1
- fc import

* Mon Jul 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_4
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.1-alt1_3
- initial import

